Bug 965155 - SY quickstart camel-soap-proxy maven-war-plugin with goal make-a-war in pom.xml triggers error on project import
SY quickstart camel-soap-proxy maven-war-plugin with goal make-a-war in pom.x...
Status: CLOSED UPSTREAM
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples, SwitchYard (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Brian Fitzpatrick
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 10:45 EDT by ppecka
Modified: 2015-08-02 19:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 15:24:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ppecka 2013-05-20 10:45:38 EDT
Description of problem:
SY quickstart camel-soap-proxy maven-war-plugin with goal make-a-war in pom.xml triggers error on project import in JBDS. 



Steps to Reproduce:
1. Install SOA 6.0.0
2. in JBDS - File / Import / Maven / Existing Maven Projects 
3. navigate to quickstarts/camel-soap-proxy
4. continue with Next button
5. see the error message

Actual results:
No marketplace entries found to handle Execution make-a-war, in /pom.xml in Eclipse.  Please see Help for more information.

Expected results:


Additional info:
what fixed this issue is simply wrapping <plugins> with <pluginManagement>
 <build>
     <finalName>${project.artifactId}</finalName>
     <pluginManagement>
        <plugins>
            <plugin></plugin>
            <plugin></plugin>
        </plugins>
     </pluginManagement>
 </build>
Comment 1 ppecka 2013-05-21 05:37:49 EDT
Error message shown in JBDS Problems View:
Plugin execution not covered by lifecycle configuration: org.apache.maven.plugins:maven-war-plugin:2.1.1:war (execution: make-a-war, phase: compile)    pom.xml /switchyard-quickstart-camel-soap-proxy line 96 Maven Project Build Lifecycle Mapping Problem
Comment 2 Brian Fitzpatrick 2013-09-09 15:24:10 EDT
It should not make a difference to the Eclipse Maven tools whether or not the war plug-in is configured in plug-ins or plug-in management. And if you simply move the plugin to plugin management, you're not building the war, which is necessary to successfully test the quickstart.

The maven-war-plugin should be supported by the Eclipse Maven tooling, as should building two artifacts. 

This should be pushed upstream to the Maven tools in Eclipse.

Note You need to log in before you can comment on or make changes to this bug.